OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel Class Reference

`#include <XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel ()
Standard_EXPORT | XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel (const XCAFDoc_DataMapOfShapeLabel &aMap)
Standard_EXPORT void | Initialize (const XCAFDoc_DataMapOfShapeLabel &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const TDF_Label & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel | ( |  | ) |

Standard_EXPORT XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel | ( | const XCAFDoc_DataMapOfShapeLabel & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::Initialize | ( | const XCAFDoc_DataMapOfShapeLabel & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::Key | ( |  | ) | const

void XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TDF_Label& XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XCAFDoc_DataMapIteratorOfDataMapOfShapeLabel.hxx